<div class="container edit-element-form">
  <form (submit)="updateMenuButtonElement()">
    <app-color-picker
      [title]="'Background Color:'"
      [color]="backgroundColor"
      (colorSelected)="backgroundColorSelected($event)"
    >
    </app-color-picker>
    <label>Border thickness:</label>
    <app-select-dropdown
      [options]="borderWidthOptions"
      [currentSelection]="borderThickness"
      [defaultSelection]="'0px'"
      (selected)="borderThicknessSelected($event)"
    >
    </app-select-dropdown>
    <label>Border style:</label>
    <app-select-dropdown
      [options]="borderStyleOptions"
      [currentSelection]="borderStyle"
      [defaultSelection]="'solid'"
      (selected)="borderStyleSelected($event)"
    >
    </app-select-dropdown>
    <app-color-picker
      [title]="'Border Color:'"
      [color]="borderColor"
      (colorSelected)="borderColorSelected($event)"
    >
    </app-color-picker>
    <button type="submit" class="btn btn-primary">OK</button>
  </form>
</div>